petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSForwardSetIntegralGradients

Set the vectors holding forward sensitivities of the integral term.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSForwardSetIntegralGradients(TS ts,PetscInt numfwdint,Vec *vp)

### Input Parameter

ts -the TS context obtained from TSCreate()
numfwdint -number of integrals
vp = the vectors containing the gradients for each integral w.r.t. parameters -

### Keywords

TS, forward sensitivity

### See Also

TSForwardGetSensitivities(), TSForwardSetIntegralGradients(), TSForwardGetIntegralGradients(), TSForwardStep()

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages